std::__detail::_Prime_rehash_policy Struct Reference
Base and Implementation Classes

## Public Types

enum | { _S_n_primes }
typedef std::size_t | _State

## Public Member Functions

| _Prime_rehash_policy (float __z=1.0)
std::size_t | _M_bkt_for_elements (std::size_t __n) const
std::pair< bool, std::size_t > | _M_need_rehash (std::size_t __n_bkt, std::size_t __n_elt, std::size_t __n_ins) const
std::size_t | _M_next_bkt (std::size_t __n) const
void | _M_reset (_State __state)
_State | _M_state () const
float | max_load_factor () const noexcept

## Public Attributes

float | _M_max_load_factor
std::size_t | _M_next_resize

## Static Public Attributes

static const std::size_t | _S_growth_factor

## Detailed Description

Default value for rehash policy. Bucket size is (usually) the smallest prime that keeps the load factor small enough.

Definition at line 357 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h